Subject: bug#8502: Make the agent eagerly cache articles

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 May 2011 00:10:21 -0300

>> IIUC gnus-agent-cache only causes headers to be cached.  Not caching
>> full articles made a lot of sense a few years ago, but with current disk
>> sizes, most/many MUAs happily keep a full local copy of the remote IMAP
>> folders and Gnus should be able to do the same.
> Downloading articles isn't so much about disk space as network
> capacity.  But I agree with you that the Agent should probably download
> the articles by default.

I'm talking about caching.  I.e. keeping local copies after we've
downloaded them, so it shouldn't increase network traffic, only disk use.

> Does anybody mind me switching `gnus-agent-predicate' to `true' by
> default?

Maybe that would be good, yes.  A better docstring would also be
welcome: I don't understand the current one.

        Stefan